Bug 217690 - graphics/gimmage: fix WWW, add TIMESTAMP, take MAINTAINER'ship
Summary: graphics/gimmage: fix WWW, add TIMESTAMP, take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-03-10 21:42 UTC by Chris Hutchinson
Modified: 2017-03-13 10:58 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for graphics/gimmage (1.05 KB, patch)
2017-03-10 21:42 UTC, Chris Hutchinson
no flags Details | Diff
svn diff for graphics/gimmage -- v.2 (1.11 KB, patch)
2017-03-10 22:01 UTC, Chris Hutchinson
no flags Details | Diff
svn diff for graphics/gimmage -- v.3 (1.11 KB, patch)
2017-03-10 22:12 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2017-03-10 21:42:34 UTC
Created attachment 180706 [details]
svn diff for graphics/gimmage

I just went to install this, and noticed that
berlios.de is no longer hosting it (it's now
on sourceforge), and no one' maintaining it.
So I updated the WWW, added a TIMESTAMP to
distinfo, and since I use it; I might as well
maintain it. :-)

Changes:

WWW
distinfo
MAINTAINER

That's it!

Please find the svn diff attached.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2017-03-10 22:01:16 UTC
Created attachment 180707 [details]
svn diff for graphics/gimmage -- v.2

I for got to add LICENSE to the last patch.
This patch corrects that.

In summary;

add LICENSE to the list of changes, mentioned above.

Sorry, and thanks!

--Chris
Comment 2 Chris Hutchinson 2017-03-10 22:12:08 UTC
Created attachment 180708 [details]
svn diff for graphics/gimmage -- v.3

Ugh... this is getting ridiculous.

This time add the license correctly --

GPLv2 vs GPL2

Like they say; third times, a charm. :-P

Last one. I promise!

--Chris
Comment 3 Tobias Kortkamp freebsd_committer 2017-03-11 17:55:53 UTC
You forgot to add LICENSE_FILE ;-)

Judging by the README and the sources the license seems to be GPLv2+ i.e.
they allow later license versions as well.

Now waiting for mentor approval: https://reviews.freebsd.org/D9964
Comment 4 commit-hook freebsd_committer 2017-03-13 10:51:07 UTC
A commit references this bug:

Author: tobik
Date: Mon Mar 13 10:50:06 UTC 2017
New revision: 436064
URL: https://svnweb.freebsd.org/changeset/ports/436064

Log:
  Pass maintainership to submitter

  - Update WWW
  - Add LICENSE
  - Add distinfo timestamp

  PR:		217690
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>
  Approved by:	lme (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9964

Changes:
  head/graphics/gimmage/Makefile
  head/graphics/gimmage/distinfo
  head/graphics/gimmage/pkg-descr
Comment 5 Tobias Kortkamp freebsd_committer 2017-03-13 10:58:06 UTC
Committed.

Thank you for taking care of all those old ports!